<template>
  <v-navigation-drawer app v-model="drawer">
    <v-list-item>
      <v-list-item-content>
        <v-list-item-title class="text-h6"> Platinum Tanzania </v-list-item-title>
        <v-list-item-subtitle> Sample App</v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>

    <v-divider></v-divider>

    <v-list dense nav>
      <v-list-item v-for="item in items" :key="item.title" link :to="item.to">
        <v-list-item-icon>
          <v-icon>{{ item.icon }}</v-icon>
        </v-list-item-icon>

        <v-list-item-content>
          <v-list-item-title>{{ item.title }}</v-list-item-title>
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>

<script>
export default {
  props: ["value"],
  watch: {
    value: {
      immediate: true,
      handler(to) {
        this.drawer = to;
      },
    },
  },
  computed: {
    isAdmin() {
      return this.$store.getters["isAdmin"];
    },

    items() {
      if (this.isAdmin) {
        return this.itemsAdmin;
      }

      return this.itemsNormal;
    },
  },
  data() {
    return {
      drawer: true,
      itemsAdmin: [
        { title: "Retry", icon: "mdi-car-settings", to: "/" },
      ],
      itemsNormal: [{ title: "Retry", icon: "mdi-car-settings", to: "/" },],
      right: null,
    };
  },
};
</script>